<?php

namespace TYPO3\Agauthors\Domain\Model;
/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 *
 * @package TYPO3\Agauthors\Domain\Model
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class News extends \GeorgRinger\News\Domain\Model\News {

//    /**
//     * regauthorRepository
//     *
//     * @var \TYPO3\Agauthors\Domain\Repository\RegauthorRepository
//     * @inject
//     */
//    protected $regauthorRepository;

    /**
     * @var \TYPO3\Agauthors\Domain\Model\Regauthor $regauthor
     */
    protected $regauthor;

    /**
     * Sets the the registered Author
     *
     * @param \TYPO3\Agauthors\Domain\Model\Regauthor $regauthor
     * @return void
     */
    public function setregauthor(\TYPO3\Agauthors\Domain\Model\Regauthor $regauthor) {
        $this->regauthor->attach($regauthor);
    }

//    /**
//     *  Returns the registered Author
//     *
//     * @return \TYPO3\Agauthors\Domain\Model\Regauthor $regauthor 
//     */
//    public function getregauthor() {
//        $regauthor = $this->authorRepository->findByUid($this->getUid());
//        return $regauthor;
//    }
    
        /**
     * Returns the registered Author
     *
     * @return \TYPO3\Agauthors\Domain\Model\Regauthor $regauthor 
     */
    public function getregauthor() {
        return $this->regauthor;
    }

}

?>